Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Müşterilere ait şüphe/sicil olay kayıtları — risk seviyesi ve yorum ile
recordLevel
GET /v1/customers/events
eventDate:desc
curl 'https://api.sarraf.pro/v1/customers/events?idNo=1976926558&pageSize=25' \ -u 'apiUserId:secretKey'
idNo
0
1
2
3
4
startDate
endDate
eventDate
updatedSince
id
customerId
comment
200
{ "success": true, "data": [ { "id": "6a90bb11da99cd3fa911aa02", "eventDate": "2026-07-19T00:00:00.000Z", "customerId": "6a9c7e2bf2fb39feccb3480b", "idNo": "1976926558", "recordLevel": "normal", "comment": "Sicil güncellemesi", "createdAt": "2026-07-19T09:10:00.000Z", "updatedAt": "2026-07-19T09:10:00.000Z" } ], "meta": { "requestId": "c6c85e42-dd06-4cb3-885b-c0ca551ee866", "timestamp": "2026-09-20T09:00:00.000Z", "page": 1, "limit": 25, "total": 114, "pages": 5 } }
GET /v1/customers/events/{id}
curl 'https://api.sarraf.pro/v1/customers/events/6a90bb11da99cd3fa911aa02' \ -u 'apiUserId:secretKey'
{ "success": true, "data": { "id": "6a90bb11da99cd3fa911aa02", "eventDate": "2026-07-19T00:00:00.000Z", "customerId": "6a9c7e2bf2fb39feccb3480b", "idNo": "1976926558", "recordLevel": "normal", "comment": "Sicil güncellemesi", "createdAt": "2026-07-19T09:10:00.000Z", "updatedAt": "2026-07-19T09:10:00.000Z" }, "meta": { "requestId": "c6c85e42-dd06-4cb3-885b-c0ca551ee866", "timestamp": "2026-09-20T09:00:00.000Z" } }